__gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType > Class Template Reference

`#include <base.h>`

Inheritance diagram for __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >:
[legend]

## Public Types

typedef _FirstArgumentType | argument_type
typedef _ResultType | result_type

## Public Member Functions

| __binder2nd (const _Operation &__x, const _SecondArgumentType &__y)
_ResultType | operator() (_FirstArgumentType &__x)
_ResultType | operator() (const _FirstArgumentType &__x) const

## Protected Attributes

_Operation | _M_op
_SecondArgumentType | _M_value

## Detailed Description

template<typename _Operation, typename _FirstArgumentType, typename _SecondArgumentType, typename _ResultType>
class __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >

Similar to std::binder2nd, but giving the argument types explicitly.

Definition at line 220 of file base.h.

## Member Typedef Documentation

## argument_type

typedef _FirstArgumentType std::unary_function< _FirstArgumentType , _ResultType >::argument_type

inherited

`argument_type` is the type of the argument

Definition at line 120 of file stl_function.h.

## result_type

typedef _ResultType std::unary_function< _FirstArgumentType , _ResultType >::result_type

inherited

`result_type` is the return type

Definition at line 123 of file stl_function.h.

## Constructor & Destructor Documentation

## __binder2nd()

template<typename _Operation , typename _FirstArgumentType , typename _SecondArgumentType , typename _ResultType >

__gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::__binder2nd | ( | const _Operation & | __x,
|  | const _SecondArgumentType & | __y
| ) |  |

inline

Definition at line 228 of file base.h.

## Member Function Documentation

## operator()() [1/2]

template<typename _Operation , typename _FirstArgumentType , typename _SecondArgumentType , typename _ResultType >

_ResultType __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::operator() | ( | _FirstArgumentType & | __x | ) |

inline

Definition at line 238 of file base.h.

## operator()() [2/2]

template<typename _Operation , typename _FirstArgumentType , typename _SecondArgumentType , typename _ResultType >

_ResultType __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::operator() | ( | const _FirstArgumentType & | __x | ) | const

inline

Definition at line 232 of file base.h.

## Member Data Documentation

## _M_op

template<typename _Operation , typename _FirstArgumentType , typename _SecondArgumentType , typename _ResultType >

_Operation __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::_M_op

protected

Definition at line 224 of file base.h.

## _M_value

template<typename _Operation , typename _FirstArgumentType , typename _SecondArgumentType , typename _ResultType >

_SecondArgumentType __gnu_parallel::__binder2nd< _Operation, _FirstArgumentType, _SecondArgumentType, _ResultType >::_M_value

protected

Definition at line 225 of file base.h.

The documentation for this class was generated from the following file:

- base.h